stages:
  - test
  - 🔎lint
  - 🧨unit-tests
  - 🐳build
  - 🚢deploy

variables:
  CONTAINER_PORT: 8080
  EXPOSED_PORT: 80

include:
  - template: SAST.gitlab-ci.yml

.nodejs-scan-sast:
  rules:
    - if: $CI_MERGE_REQUEST_IID
      when: always

.secrets-sast:
  rules:
    - if: $CI_MERGE_REQUEST_IID
      when: always

# example:
#const AWS_ID = "AKIAIOSFODNN7EXAMPLE"
#const AWS_KEY = "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
#const HEROKU_KEY = "12345678-ABCD-ABCD-ABCD-1234567890ABC"

#eslint-sast:
#  rules:
#    - if: $CI_MERGE_REQUEST_IID
#      when: always

sast:
  stage: test    
  allow_failure: true
  rules:
    - if: $CI_MERGE_REQUEST_IID
    - if: $CI_COMMIT_BRANCH == "master"







